import React from 'react';
interface WorkHistory {
    company: string;
    position: string;
    startDate: string;
    endDate?: string;
    description?: string;
}
interface Certification {
    name: string;
    issuer?: string;
    dateObtained?: string;
    expirationDate?: string;
}
interface AreaOfExpertise {
    area: string;
    description?: string;
}
interface ConsultantProfileProps {
    name: string;
    email: string;
    profilePicture?: string;
    workHistory?: WorkHistory[];
    certifications?: Certification[];
    areasOfExpertise?: AreaOfExpertise[];
}
declare const ConsultantProfile: React.FC<ConsultantProfileProps>;
export default ConsultantProfile;
