import type { StaticImageData } from 'next/image';
import React from 'react';
import type { ImageBlock as ImageBlockProps } from '@/payload-types';
type Props = ImageBlockProps & {
    breakout?: boolean;
    captionClassName?: string;
    className?: string;
    enableGutter?: boolean;
    imgClassName?: string;
    staticImage?: StaticImageData;
    disableInnerContainer?: boolean;
};
export declare const ImageBlock: React.FC<Props>;
export {};
