import type { BoardData, Deal, Customer, EditableDeal, PartialComment } from './types';
type KanbanBoardProps = {
    initialData: BoardData;
    addNewDeal: (newDeal: Deal) => Promise<{
        success: boolean;
        errors?: Record<string, string>;
    }>;
    updateDeal: (updatedDeal: Partial<EditableDeal>) => Promise<{
        success: boolean;
        errors?: Record<string, string>;
    }>;
    addComment: (dealId: string, comment: PartialComment) => Promise<{
        success: boolean;
        errors?: Record<string, string>;
    }>;
    addNewCustomer: (newCustomer: Partial<Customer>) => Promise<{
        success: boolean;
        errors?: Record<string, string>;
    }>;
};
export declare function CRMKanbanBoard({ initialData, addNewDeal, updateDeal, addComment, addNewCustomer, }: KanbanBoardProps): import("react/jsx-runtime").JSX.Element;
export {};
