import { type DynamicIconProps } from '../Images';
export interface ContentCardProps {
    variant?: 'solid' | 'outline' | 'gradient' | 'radial' | 'light';
    className?: string;
    icon?: React.ReactNode | DynamicIconProps;
    iconSize?: 'small' | 'large';
    width?: '1/4' | '1/3' | '1/2' | 'full' | 'auto';
    order?: number;
    heading: string;
    subheading?: string;
    content?: Record<string, any> | string;
    statistic?: string;
    buttonText?: string;
    buttonHref?: string;
}
export declare function ContentCard({ variant, className, icon, iconSize, width, order, heading, subheading, content, statistic, buttonText, buttonHref, }: ContentCardProps): import("react/jsx-runtime").JSX.Element;
