import { type ChatMessageProps } from './ChatMessage';
type FunctionType = {
    id: number;
    name: string;
};
type UserType = {
    id: number;
    name: string;
    email: string;
    avatar: string;
    role: string;
};
interface ChatInterfaceProps {
    messages: ChatMessageProps[];
    contextType: 'project' | 'businessFunction' | 'global';
    currentUser?: UserType;
    businessFunctions?: FunctionType[];
    isLoading?: boolean;
}
/**
 * Custom Chat interface component
 */
export declare function ChatInterfaceMessages({ messages, isLoading, }: ChatInterfaceProps): import("react/jsx-runtime").JSX.Element;
export {};
