import React from 'react';
interface SearchableSelectOption {
    value: string;
    label: string;
}
interface SearchableSelectProps {
    label: string;
    value: string;
    onValueChange: (value: string) => void;
    options: SearchableSelectOption[];
    placeholder?: string;
    allowCustomValue?: boolean;
}
export declare const SearchableSelect: React.FC<SearchableSelectProps>;
export {};
