import React from 'react';
import type { Page } from '@/payload-types';
type HighImpactHeroType = {
    children?: React.ReactNode;
    links?: Page['hero']['links'];
    media?: Page['hero']['media'];
    richText?: never;
} | (Omit<Page['hero'], 'richText'> & {
    children?: never;
    links?: Page['hero']['links'];
    media?: Page['hero']['media'];
    richText?: Page['hero']['richText'];
});
export declare const HighImpactHero: React.FC<HighImpactHeroType>;
export {};
