import React from 'react';
import type { Page } from '@/payload-types';
type MediumImpactHeroType = {
    children?: React.ReactNode;
    links?: Page['hero']['links'];
    media?: Page['hero']['media'];
    richText?: never;
} | (Omit<Page['hero'], 'richText'> & {
    children?: never;
    links?: Page['hero']['links'];
    media?: Page['hero']['media'];
    richText?: Page['hero']['richText'];
});
export declare const MediumImpactHero: React.FC<MediumImpactHeroType>;
export {};
