interface CalendarViewProps {
    currentDate: Date;
    setCurrentDate: (date: Date) => void;
    holidays: Holiday[];
}
interface Holiday {
    id: string;
    userId: string;
    userName: string;
    startDate: string;
    endDate: string;
    status: 'approved' | 'requested' | 'rejected';
    totalDays: number;
    leaveType: 'Full Day' | 'Morning' | 'Afternoon';
}
export declare function CalendarView({ currentDate, setCurrentDate, holidays }: CalendarViewProps): import("react/jsx-runtime").JSX.Element;
export {};
