import { ImageProps } from '@/common-types';
import { Post } from '@/payload-types';
export interface BlogProps {
    image: Omit<ImageProps, 'width' | 'height'>;
    authors?: {
        name: string;
        profilePicture: ImageProps;
    }[];
    categories?: string[];
    commentCount: string;
    title: string;
    description: string;
    slug: string;
    publishedAt: string;
    meta: Post['meta'];
}
export declare function NewsList({ blogs, base }: {
    blogs: Partial<Post>[];
    base: string;
}): import("react/jsx-runtime").JSX.Element;
