import React from 'react';
import { StaticImageData } from 'next/image';
import { Page } from '@/payload-types';
interface PrintableProps {
    page: Page;
    layout?: 'portrait' | 'landscape' | 'flow';
    logoImage?: StaticImageData;
}
export declare const Printable: React.FC<PrintableProps>;
export declare const FlowPrintable: React.FC<PrintableProps>;
export declare const PagePrintable: React.FC<PrintableProps>;
export {};
