import { ImageProps } from '@/common-types';
import { type SectionHeadingWithoutStylingProps } from '@/components/HeaderFooter/SectionHeading';
export interface ContactSectionProps {
    sectionHeading: SectionHeadingWithoutStylingProps;
    image: Omit<ImageProps, 'width' | 'height'>;
    contactInfo: {
        sectionHeading: SectionHeadingWithoutStylingProps;
        location: string;
        mail: string;
        phone: string;
    };
    locations: {
        title: string;
        location: string;
        mails: string[];
        phoneNumbers: string[];
        embedUrl: string;
    }[];
}
export declare function ContactSection(contactSectionData: ContactSectionProps): import("react/jsx-runtime").JSX.Element;
export declare function LocationsSection(contactSectionData: ContactSectionProps): import("react/jsx-runtime").JSX.Element;
