import type { FeaturesBlock as FeaturesBlockProps } from '@/payload-types';
import React from 'react';
type Props = {
    title?: string | null;
    description?: Record<string, any> | string | null;
    features?: Section[] | null;
    id?: string | null;
    nested?: boolean;
};
type Section = NonNullable<FeaturesBlockProps['features']>[number];
export declare const FeaturesBlock: React.FC<Props>;
export {};
