interface TeamMember {
    role: string;
    count?: number;
    isFTE?: boolean;
}
interface TeamStructureProps {
    teamMembers?: {
        leadership: TeamMember[];
        core: TeamMember[];
        sme: string[];
    };
    outputs?: {
        title: string;
        description: string;
    }[];
    benefits?: string[];
    fee?: string;
}
export declare function ProposalSummary({ teamMembers, outputs, benefits, fee, }: TeamStructureProps): import("react/jsx-runtime").JSX.Element;
export {};
