import React from 'react';
import type { Page } from '@/payload-types';
export declare const RenderBlocks: React.FC<{
    blocks: Page['layout'][0][];
    fill?: boolean;
}>;
export declare const Theme: React.FC<{
    block: any;
    index: number;
}>;
export declare const RenderBlocksWithShapes: React.FC<{
    blocks: Page['layout'][0][];
    fill?: boolean;
}>;
export declare const ThemeWithShapes: React.FC<{
    block: any;
    allBlocks: Page['layout'][0][];
    index: number;
    children: React.ReactNode;
}>;
interface PageShapeProps {
    position?: 'left' | 'right' | 'random';
}
export declare const DarkTop: React.FC<PageShapeProps>;
export declare const LightTop: React.FC<PageShapeProps>;
export {};
