import type { Customer, DealCategory, Deal } from './types';
import type { User } from '@/payload-types';
type NewDealFormProps = {
    customers: Customer[];
    users?: User[];
    categories: DealCategory[];
    onSubmit: (deal: Deal) => Promise<{
        success: boolean;
        errors?: Record<string, string>;
    }>;
    onClose?: () => void;
    onAddCustomer: (newCustomer: Partial<Customer>) => Promise<{
        success: boolean;
        errors?: Record<string, string>;
    }>;
    initialDeal?: Deal;
};
export declare function NewDealForm({ customers, users, categories, onSubmit, initialDeal, onAddCustomer, onClose, }: NewDealFormProps): import("react/jsx-runtime").JSX.Element;
export {};
