import React from 'react';
type Menu = {
    component: string;
    collection: string | null;
    scope?: string;
};
type LinkedItem = {
    repo: string;
    owner: string;
    branch: string;
    path: string;
};
type ContentItem = {
    source: string;
    repo: string;
    owner: string;
    branch: string;
    path: string;
    reference: string;
    icon?: React.ComponentType<React.ComponentProps<'svg'>> | React.JSX.Element;
    collections?: string[];
    menu?: Menu;
    file?: string;
    linked?: LinkedItem;
};
export declare function Image({ props, baseContext }: {
    props: any;
    baseContext: ContentItem;
}): import("react/jsx-runtime").JSX.Element;
export {};
