import React from 'react';
import { Epic, Sprint } from './KanbanBoard';
interface ManagementSidebarProps {
    epics: Epic[];
    sprints: Sprint[];
    currentView: 'kanban' | 'planning' | 'documentation';
    onUpdateEpic: (epicId: string, updates: Partial<Epic>) => void;
    onDeleteEpic: (epicId: string) => void;
    onAddEpic: () => void;
    onAddSprint: (sprint: Omit<Sprint, 'id'>) => void;
    onUpdateSprint: (sprintId: string, updates: Partial<Sprint>) => void;
    onDeleteSprint: (sprintId: string) => void;
    onViewChange: (view: 'kanban' | 'planning' | 'documentation') => void;
    mobileMenuOpen: boolean;
    onToggleMobileMenu: () => void;
}
export declare const ManagementSidebar: React.FC<ManagementSidebarProps & {
    children?: React.ReactNode;
}>;
export {};
