import { type HeaderMenuProps } from './HeaderMenu';
import { StaticImageData } from 'next/image';
interface HeaderProps {
    isMenuOpen: boolean;
    logoLight: StaticImageData;
    logoDark: StaticImageData;
    menuItems?: HeaderMenuProps[];
    className?: string;
    wide?: boolean;
    themeControl?: boolean;
}
export declare function Header({ isMenuOpen, logoLight, logoDark, menuItems, className, wide, themeControl }: HeaderProps): import("react/jsx-runtime").JSX.Element;
export {};
