import { DynamicIconProps } from '../Images/DynamicIcon';
import { ImageProps } from 'next/image';
interface HeaderMenuItemProps {
    name: string;
    icon?: DynamicIconProps | ImageProps;
    description?: string;
    href: string;
}
export interface HeaderMenuProps {
    items?: HeaderMenuItemProps[];
    actions?: HeaderMenuItemProps[];
    name: string;
    href?: string;
}
declare const HeaderMenu: ({ name, items, actions, href }: HeaderMenuProps) => import("react/jsx-runtime").JSX.Element;
export default HeaderMenu;
