import { Holiday } from '../../model/Holiday';
import { LeaveRequest } from '../../model/LeaveRequest';
import { Employee } from '../../model/Employee';
interface HolidayTrackerProps {
    holidays: Holiday[];
    leaveApprovals: LeaveRequest[];
    employees: Employee[];
    currentDate: string;
    currentUser: {
        grade: string;
        remainingLeaveDays: number;
    };
    submitLeaveRequest?: (formData: FormData) => Promise<{
        success: boolean;
        message: string;
    }>;
    approveLeave: (ids: string[]) => Promise<{
        success: boolean;
        message: string;
    }>;
    rejectLeave: (ids: string[]) => Promise<{
        success: boolean;
        message: string;
    }>;
}
export declare function HolidayTracker({ holidays, currentUser, currentDate, leaveApprovals, employees, submitLeaveRequest, approveLeave, rejectLeave, }: HolidayTrackerProps): import("react/jsx-runtime").JSX.Element;
export {};
