import type { Post } from '@/payload-types';
import { ImageProps } from '@/common-types';
export interface BlogProps {
    image: ImageProps;
    authors?: {
        name: string;
        image?: ImageProps;
    }[];
    categories?: string[];
    commentCount: string;
    title: string;
    description: string;
    slug: string;
    publishedAt: string;
    meta?: Post['meta'];
}
export declare function NewsGrid({ blogs, width }: {
    blogs: BlogProps[];
    width?: number;
}): import("react/jsx-runtime").JSX.Element;
