import { ImageProps } from '@/common-types';
import { SectionHeadingWithoutStylingProps } from '@/components/HeaderFooter/SectionHeading';
export interface AboutSectionProps {
    images?: {
        pattern: ImageProps;
        image1: ImageProps;
        image2: ImageProps;
        image3: ImageProps;
        image4: ImageProps;
    };
    sectionHeading: SectionHeadingWithoutStylingProps;
    keyPoints?: {
        icon: React.ReactNode;
        title: string;
    }[];
    description?: string;
    className?: string;
}
export declare function AboutSection(aboutSectionData: AboutSectionProps): import("react/jsx-runtime").JSX.Element;
