import { Post } from '@/payload-types';
import { type SectionHeadingWithoutStylingProps } from '@/components/HeaderFooter/SectionHeading';
export interface BlogSectionProps {
    sectionHeading?: Pick<SectionHeadingWithoutStylingProps, 'subtitle' | 'title'>;
    blogs: Partial<Post>[];
    base?: string;
}
export declare function BlogList({ blogs, sectionHeading, base }: BlogSectionProps): import("react/jsx-runtime").JSX.Element;
export declare function BlogCard({ slug, meta, authors, title, publishedAt: date, categories, base }: Partial<Post> & {
    base: string;
}): import("react/jsx-runtime").JSX.Element;
