import React from 'react';
import { type Media as MediaType } from '@/payload-types';
export default function Page({ ...args }: {
    [x: string]: any;
}): import("react/jsx-runtime").JSX.Element;
interface SectionProps {
    children: React.ReactNode;
    neighbours?: ('scroll' | 'slide')[];
    shape?: ('left' | 'right')[];
    theme: 'light' | 'dark' | 'first' | 'last';
    style?: 'scroll' | 'slide';
    image?: MediaType;
    id?: string;
    continueTheme?: boolean;
}
export declare const Section: React.FC<SectionProps>;
export {};
