import { Media } from '@/payload-types';
export interface ServiceDetailSectionProps {
    image: Media;
    title: string;
    content?: Record<string, any> | string;
    link: {
        label: string;
        url: string;
    };
    theme?: 'light' | 'dark';
}
export declare function ServiceDetailSection({ image, title, content, link, theme, }: ServiceDetailSectionProps): import("react/jsx-runtime").JSX.Element;
